/* Copyright (C) W.H.Scholten 1996,1997,1998
 *
 * debug.h
 *
 *
 */

//Inspector Gadget is ALWAYS on duty

#ifndef _debug_h
#define _debug_h

#ifdef DEBUG
#  ifndef DEBUG_LEVEL
#    define DEBUG_LEVEL 1
#  endif
#  define DEB(x) {x;}
#  define DEB1(x) { if (DEBUG_LEVEL>=1) { x; } }
#  define DEB2(x) { if (DEBUG_LEVEL>=2) { x; } }
#  define DEB3(x) { if (DEBUG_LEVEL>=3) { x; } }
#  define prt printf
#  define fprt fprintf

#else
#  define DEB(x)
#  define DEB1(x)
#  define DEB2(x)
#  define DEB3(x)
#endif


//Show me the way, o glorious inspector.
#endif /* _debug_h */
